Loading...
Searching...
No Matches
_dictionary_ Struct Reference
Ciniparser

Dictionary object. More...

`#include <dictionary.h>`

## Public Attributes

int | n
int | size
char ** | val
char ** | key
unsigned * | hash

## Detailed Description

Dictionary object.

Parameters

  n | Number of entries in the dictionary
  size | Storage size
  val | List of string values
  key | List of string keys
  hash | List of hash values for keys

This object contains a list of string/string associations. Each association is identified by a unique string key. Looking up values in the dictionary is speeded up by the use of a (hopefully collision-free) hash function.

Definition at line 67 of file dictionary.h.

## Member Data Documentation

## hash

unsigned* _dictionary_::hash

Definition at line 72 of file dictionary.h.

## key

char** _dictionary_::key

Definition at line 71 of file dictionary.h.

## n

int _dictionary_::n

Definition at line 68 of file dictionary.h.

## size

int _dictionary_::size

Definition at line 69 of file dictionary.h.

## val

char** _dictionary_::val

Definition at line 70 of file dictionary.h.

The documentation for this struct was generated from the following file:

- dictionary.h